{
  "name": "renai",
  "productName": "Renai",
  "version": "1.0.0",
  "description": "Hentai Library Thingy",
  "private": true,
  "license": "SEE LICENSE IN LICENSE.txt",
  "author": {
    "name": "Xymorot",
    "email": "xymorot@mailbox.org"
  },
  "main": "src/main.js",
  "engines": {
    "node": "12"
  },
  "scripts": {
    "postinstall": "npm run rebuild",
    "start": "electron . --enable-logging --dev",
    "rebuild": "electron-rebuild -f -b -t prod,dev,optional",
    "electron-version": "electron electron-version.js",
    "typeorm:migrate": "npm run typeorm:migrate:library && npm run typeorm:migrate:store",
    "typeorm:migrate:library": "typeorm migration:run -c library",
    "typeorm:migrate:store": "typeorm migration:run -c store",
    "build:webpack": "webpack --config webpack.config.js",
    "watch:webpack": "webpack --config webpack.config.js --mode development -w",
    "build:index": "node buildfile.js",
    "watch:index": "node buildfile.js --watch --dev",
    "build:ts": "tsc",
    "watch:ts": "tsc -w --pretty --preserveWatchOutput",
    "build": "concurrently -c green,yellow,cyan -n webpack,index,typescript \"npm run build:webpack\" \"npm run build:index\" \"npm run build:ts\"",
    "watch": "concurrently -c green,yellow,cyan -n webpack,index,typescript \"npm run watch:webpack\" \"npm run watch:index\" \"npm run watch:ts\"",
    "test:fast": "mocha --grep @slow --invert",
    "test": "mocha",
    "coverage:fast": "nyc npm run test:fast",
    "coverage": "nyc npm run test",
    "prelint": "eslint --print-config forge.config.js | eslint-config-prettier-check",
    "lint": "eslint ./**/*.* --max-warnings 1",
    "lint:fix": "eslint ./**/*.* --fix",
    "prettier": "prettier -c **/*.*",
    "prettier:fix": "prettier --write **/*.*",
    "fix": "npm run lint:fix && npm run prettier:fix",
    "forge:make": "electron-forge --platform win32 --arch x64 make",
    "forge": "npm audit --audit-level=high && npm run build && npm run forge:make",
    "precommit": "npm run build && npm run prettier && npm run lint && npm run coverage:fast",
    "prepush": "npm run build && npm run coverage"
  },
  "dependencies": {
    "electron-squirrel-startup": "^1.0.0",
    "fs-extra": "^9.0.1",
    "inversify": "^5.0.1",
    "jsdom": "^16.2.2",
    "minimist": "^1.2.5",
    "node-fetch": "^2.6.0",
    "reflect-metadata": "^0.1.13",
    "sqlite3": "^4.2.0",
    "typeorm": "^0.2.25",
    "uuid": "^7.0.3"
  },
  "devDependencies": {
    "@electron-forge/cli": "^6.0.0-beta.51",
    "@electron-forge/maker-squirrel": "^6.0.0-beta.51",
    "@types/chai": "^4.2.11",
    "@types/fs-extra": "^9.0.1",
    "@types/jsdom": "^16.2.3",
    "@types/minimist": "^1.2.0",
    "@types/mocha": "^7.0.2",
    "@types/node": "^12.12.44",
    "@types/node-fetch": "^2.5.7",
    "@types/sinon": "^9.0.4",
    "@types/uuid": "^7.0.4",
    "@types/webpack": "^4.41.17",
    "@typescript-eslint/eslint-plugin": "^2.34.0",
    "@typescript-eslint/parser": "^2.34.0",
    "chai": "^4.2.0",
    "chokidar": "^3.4.0",
    "concurrently": "^5.2.0",
    "electron": "^8.3.1",
    "electron-rebuild": "^1.11.0",
    "eslint": "^6.8.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-import": "^2.20.2",
    "fast-check": "^1.24.2",
    "handlebars": "^4.7.6",
    "husky": "^4.2.5",
    "lodash": "^4.17.15",
    "mocha": "^7.2.0",
    "nock": "^12.0.3",
    "nyc": "^15.1.0",
    "prettier": "^2.0.5",
    "rewiremock": "^3.14.2",
    "sinon": "^9.0.2",
    "spectron": "^10.0.1",
    "svelte": "^3.23.0",
    "svelte-loader": "^2.13.6",
    "ts-loader": "^7.0.5",
    "typescript": "^3.9.5",
    "webpack": "^4.43.0",
    "webpack-cli": "^3.3.11"
  },
  "repository": "https://git.fuwafuwa.moe/Xymorot/RenaiApp",
  "bugs": "https://git.fuwafuwa.moe/Xymorot/RenaiApp/issues",
  "config": {
    "forge": "forge.config.js"
  },
  "husky": {
    "hooks": {
      "pre-commit": "npm run precommit",
      "pre-push": "npm run prepush"
    }
  }
}
